﻿using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using Syncfusion.Web.UI.WebControls.ScheduleControl;

public partial class _Default : System.Web.UI.Page
{
    int count = 0;
    DateTime EndDate = new DateTime();
    protected void Page_Load(object sender, EventArgs e)
    {
        this.Schedule1.EnableCallbacks = false;
        this.Schedule1.DataSourceControlAdding += new Schedule.ScheduleDataAddingEventHandler(Schedule1_DataSourceControlAdding);
        this.Schedule1.DataSourceControlDeleting += new Schedule.ScheduleDataDeletingEventHandler(Schedule1_DataSourceControlDeleting);
        this.Schedule1.DataSourceControlUpdating += new Schedule.ScheduleDataUpdatingEventHandler(Schedule1_DataSourceControlUpdating);
        this.Schedule1.CheckVisibleDay += new Schedule.CheckVisibleDayEventHandler(Schedule1_CheckVisibleDay);
    }

    void Schedule1_CheckVisibleDay(object sender, CheckVisibleDayEventArgs e)
    {
        EndDate = e.Date;
    }

    protected override void OnPreRender(EventArgs e)
    {
        if (this.Schedule1.ScheduleType == ScheduleViewType.Day)
            this.AppointmentDataSource.SelectCommand = "SELECT * FROM [AppointmentsTable] WHERE [StartTime] BETWEEN#" + EndDate.AddDays(-1) + "#" + "AND#" + EndDate.AddDays(1) + "# ";

        if (this.Schedule1.ScheduleType == ScheduleViewType.Week)
            this.AppointmentDataSource.SelectCommand = "SELECT * FROM [AppointmentsTable] WHERE [StartTime] BETWEEN#" + EndDate.AddDays(-7) + "#" + "AND#" + EndDate.AddDays(7) + "# ";

        if (this.Schedule1.ScheduleType == ScheduleViewType.WorkWeek)
            this.AppointmentDataSource.SelectCommand = "SELECT * FROM [AppointmentsTable] WHERE [StartTime] BETWEEN#" + EndDate.AddDays(-5) + "#" + "AND#" + EndDate.AddDays(5) + "# ";

        if (this.Schedule1.ScheduleType == ScheduleViewType.Month)
            this.AppointmentDataSource.SelectCommand = "SELECT * FROM [AppointmentsTable] WHERE [StartTime] BETWEEN#" + EndDate.AddDays(-35) + "#" + "AND#" + EndDate.AddDays(35) + "# ";
        base.OnPreRender(e);
    }

    protected void Schedule1_DataSourceControlAdding(object sender, AppointmentDataEventArgs e)
    {
        e.Cancel = true;
    }
    protected void Schedule1_DataSourceControlDeleting(object sender, AppointmentDataEventArgs e)
    {
        e.Cancel = true;
    }
    protected void Schedule1_DataSourceControlUpdating(object sender, AppointmentDataEventArgs e)
    {
        e.Cancel = true;
    }
}
