﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Syncfusion.Schedule.Web"
    Namespace="Syncfusion.Web.UI.WebControls.ScheduleControl" TagPrefix="cc1" %>
<%@ Register Assembly="Syncfusion.Schedule.Base"
    Namespace="Syncfusion.Schedule" TagPrefix="cc2" %>
<%@ Register Assembly="Syncfusion.Shared.Web"
    Namespace="Syncfusion.Web.UI.WebControls.Shared" TagPrefix="ssw" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="Scriptmanager1" runat="server">
    </asp:ScriptManager>
    <div>

        <script type="text/javascript">
                    Sys.WebForms.PageRequestManager.getInstance().add_beginRequest(BeginRequestHandler);
                    Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
                    //Before callback event handler
                    function BeginRequestHandler(sender, args)
                    {
                        Popup.ShowPopup();                    
                    }
                    //After callback event handler
                    function EndRequestHandler(sender, args)
                    {
                         Popup.HidePopup();  
                    }
        </script>

        <table>
            <tr>
                <td>
                    <cc1:Schedule ID="Schedule1" runat="server" Height="592px" Width="775px" AppointmentDataSourceID="AppointmentDataSource"
                        CategoryDataSourceID="CategoriesDataSource" ResourceDataSourceID="ResourcesDataSource"
                        StartDate="2008-08-20" UserOverrideCulture="Ukrainian (Ukraine)" AppointmentDataMember="AppointmentsTable"
                        ViewStrip="True" AutoFormat="Office2007Blue" ShowWaitingPopupOnCallback="true"
                        WaitingPopupCSSClass="PopupCSS" ScheduleType="week" DisabledBackgroundColor="221, 227, 238">
                        <ResourceColumn Width="150px" />
                        <CategoryBindProperties DescriptionField="Description" ExpandedField="Expanded" InfoField="Info"
                            NameField="Name" ShortNameField="ShortName" />
                        <AppointmentBindProperties AllDayField="AllDay" ContentField="Content" SubjectField="Subject"
                            UniqueIDField="Id" EndTimeField="EndTime" LocationValueField="LocationValue"
                            StartTimeField="StartTime" OwnerField="Owner" />
                        <ResourceBindProperties CategoryField="Category" DescriptionField="Description" InfoField="Info"
                            NameField="Name" />
                    </cc1:Schedule>
                </td>
            </tr>
        </table>
        <asp:AccessDataSource ID="CategoriesDataSource" runat="server" DataFile="~/App_Data/Books.mdb"
            SelectCommand="SELECT * FROM [CategoriesTable]"></asp:AccessDataSource>
        <asp:AccessDataSource ID="ResourcesDataSource" runat="server" DataFile="~/App_Data/Books.mdb"
            SelectCommand="SELECT * FROM [ResourcesTable]"></asp:AccessDataSource>
        <asp:AccessDataSource ID="AppointmentDataSource" runat="server" DataFile="~/App_Data/Books.mdb">
        </asp:AccessDataSource>
        <ssw:WaitingPopup ID="WaitingPopup1" runat="server" Height="50px" Width="125px" AutoFormat="Rollers"
            ClientObjectId="Popup" DisabledBackgroundColor="252, 235, 217" DisableOnShowElementID="Schedule1"
            Alignment="MiddleCentre" Font-Bold="True" ForeColor="#5E3000">
        </ssw:WaitingPopup>
    </div>
    </form>
</body>
</html>
